Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class DataGridRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.richfaces.renderkit.RendererBase
              org.richfaces.renderkit.AbstractRowsRenderer
                  org.richfaces.renderkit.DataGridRenderer

All Implemented Interfaces:
  org.ajax4jsf.model.DataVisitor, org.richfaces.renderkit.MetaComponentRenderer

    public class DataGridRenderer

extends AbstractRowsRenderer
implements org.richfaces.renderkit.MetaComponentRenderer

Author:
  Anton Belevich

Constructor Summary
`DataGridRenderer()`

Method Summary
`RowHolderBase` | `createRowHolder(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, Object[] options)`
`void` | `decodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`protected void` | `doCleanup(javax.faces.context.FacesContext context, RowHolderBase rowHolder)`
`protected void` | `doEncodeChildren(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` | `encodeCaption(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, AbstractDataGrid dataGrid)`
`void` | `encodeFacet(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent facet, EncodeStrategy strategy, AbstractDataGrid dataGrid, Object[] params)`
`void` | `encodeFakeRow(javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
`void` | `encodeFooter(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, AbstractDataGrid dataGrid, boolean partial)`
`void` | `encodeHeader(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, AbstractDataGrid dataGrid, boolean partial)`
`void` | `encodeMetaComponent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String metaComponentId)`
`void` | `encodeNoData(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, AbstractDataGrid dataGrid)`
`void` | `encodeRow(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, RowHolderBase rowHolder)`
`void` | `encodeTBody(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext facesContext, AbstractDataGrid dataGrid, boolean partial)`
`protected Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()` Get base component slass , targetted for this renderer.
`org.ajax4jsf.model.DataVisitResult` | `process(javax.faces.context.FacesContext facesContext, Object rowKey, Object argument)`

Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer
`encodeRows, get, getColumnClass, getColumnClasses, getRendersChildren, getRowClass, getRowClassAttribute, getRowClasses, processRows, put, renderRowHandlers`

Methods inherited from class org.richfaces.renderkit.RendererBase
`concatClasses, concatStyles, decode, doDecode, doEncodeBegin, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, queueComponentEventForBehaviorEvent, renderChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataGridRenderer

    public DataGridRenderer()

Method Detail

### encodeRow

    public void encodeRow(javax.faces.context.ResponseWriter writer,
                          javax.faces.context.FacesContext facesContext,
                          RowHolderBase rowHolder)
                   throws IOException

  Specified by:
    `encodeRow` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### encodeHeader

    public void encodeHeader(javax.faces.context.ResponseWriter writer,
                             javax.faces.context.FacesContext facesContext,
                             AbstractDataGrid dataGrid,
                             boolean partial)
                      throws IOException

  Throws:
    `IOException`

### encodeFooter

    public void encodeFooter(javax.faces.context.ResponseWriter writer,
                             javax.faces.context.FacesContext facesContext,
                             AbstractDataGrid dataGrid,
                             boolean partial)
                      throws IOException

  Throws:
    `IOException`

### encodeCaption

    public void encodeCaption(javax.faces.context.ResponseWriter writer,
                              javax.faces.context.FacesContext facesContext,
                              AbstractDataGrid dataGrid)
                       throws IOException

  Throws:
    `IOException`

### encodeNoData

    public void encodeNoData(javax.faces.context.ResponseWriter writer,
                             javax.faces.context.FacesContext facesContext,
                             AbstractDataGrid dataGrid)
                      throws IOException

  Throws:
    `IOException`

### encodeFacet

    public void encodeFacet(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent facet,
                            EncodeStrategy strategy,
                            AbstractDataGrid dataGrid,
                            Object[] params)
                     throws IOException

  Throws:
    `IOException`

### encodeTBody

    public void encodeTBody(javax.faces.context.ResponseWriter writer,
                            javax.faces.context.FacesContext facesContext,
                            AbstractDataGrid dataGrid,
                            boolean partial)
                     throws IOException

  Throws:
    `IOException`

### doEncodeChildren

    protected void doEncodeChildren(javax.faces.context.ResponseWriter writer,
                                    javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component)
                             throws IOException

  Overrides:
    `doEncodeChildren` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### createRowHolder

    public RowHolderBase createRowHolder(javax.faces.context.FacesContext context,
                                         javax.faces.component.UIComponent component,
                                         Object[] options)

  Specified by:
    `createRowHolder` in class `AbstractRowsRenderer`

### getComponentClass

    protected Class<? extends javax.faces.component.UIComponent> getComponentClass()

  Description copied from class: `RendererBase`
  Get base component slass , targetted for this renderer. Used for check arguments in decode/encode.

  Overrides:
    `getComponentClass` in class `RendererBase`
  Returns:

### encodeMetaComponent

    public void encodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)
                             throws IOException

  Specified by:
    `encodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`
  Throws:
    `IOException`

### decodeMetaComponent

    public void decodeMetaComponent(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component,
                                    String metaComponentId)

  Specified by:
    `decodeMetaComponent` in interface `org.richfaces.renderkit.MetaComponentRenderer`

### doCleanup

    protected void doCleanup(javax.faces.context.FacesContext context,
                             RowHolderBase rowHolder)
                      throws IOException

  Overrides:
    `doCleanup` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

### process

    public org.ajax4jsf.model.DataVisitResult process(javax.faces.context.FacesContext facesContext,
                                                      Object rowKey,
                                                      Object argument)

  Specified by:
    `process` in interface `org.ajax4jsf.model.DataVisitor`
  Overrides:
    `process` in class `AbstractRowsRenderer`

### encodeFakeRow

    public void encodeFakeRow(javax.faces.context.FacesContext facesContext,
                              RowHolderBase rowHolder)
                       throws IOException

  Overrides:
    `encodeFakeRow` in class `AbstractRowsRenderer`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20111014-M3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.